export default function Tags({ tags }) {
  if (!Array.isArray(tags))
    return <></>;

  if (tags.length === 0) return <></>;

  let genLink = (tag) => <div className="underline px-1 flex-shrink-0 text-[12px] font-bold" key={tag.name}>{tag.name}</div>

  return (
    <>
      <div className="flex justify-start flex-wrap">
        {tags.map(genLink)}
      </div>
    </>
  );
}
