import { objectTypes } from "@/app/components/ObjectTypes";
import FieldLabel from "../../components/FieldLabel";
import SelectOption from "./SelectOption";

export default function ObjectTypeSelection({ selected, handleSelection }) {
  return (
    <>
      <FieldLabel name="Tipo de Recurso*" />
      <div className="flex flex-wrap justify-center">
        {objectTypes.map((subject, index) => (
          <SelectOption
            key={index}
            selected={selected}
            handleSelection={handleSelection}
            subject={subject}

          />
        ))}
      </div>
    </>
  );
}
