"use client"
import { useSearchParams } from "next/navigation";
import Content from "../components/Content";
import { Suspense } from "react";
import Loading from "../components/Loading";

export default function Users(){
    const searchParams = useSearchParams()
    const filter = searchParams.get('filter')

    return (
        <Suspense fallback={<Loading />}>
            <Content name="User" inputFilter={filter} />
        </Suspense>
    )
}