"use client"
import { useRouter } from "next/navigation";
import Overlay from "./components/Overlay";

export default function Error(){
    const router = useRouter()
    return (
        <Overlay>

        <div className="flex justify-center items-center mt-72 flex-col">
            <p className="text-8xl text-darkGray-HC-white font-bold">404</p>
            <p className="text-darkGray-HC-white text-xl font-semibold">Página não encontrada</p>
            <button onClick={() => router.push("/")} className="mt-4 bg-turquoise text-lg text-white-HC-dark-underline p-2 px-4 rounded-lg hover:bg-turquoise-hover">Voltar para página inicial</button>
        </div>
        </Overlay>
    )
}