import FormHelperText from '@mui/material/FormHelperText';


export default function FieldLabel({ name, description, error = false }) {
  return (

    <div className="flex flex-col mt-10 mb-5">
      <label className=" inline-block text-xl text-darkGray-HC-white font-bold ">{name}</label>
     { error && <FormHelperText className="text-red-HC-white flex mb-8">Esse campo deve ser preenchido antes de continuar</FormHelperText>}

      <span className="text-base text-darkGray-HC-white mt-3">{description}</span>
    </div>
  );
}
