"use client"
import { createTheme } from "@mui/material"

const theme = createTheme({
    palette: {
        primary: {
            main: "#00bacc",
            light: "#33c7d6",
            dark: "#00828e"
        }
    },
    breakpoints: {
        values: {
            xs: 0,
            sm: 640,
            md: 768,
            lg: 1024,
            xl: 1280, 
        }
    },
    typography: {
        allVariants: "ui-sans-serif, system-ui, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol', 'Noto Color Emoji'"
    }
})

export default theme;